কী-এর ওভারভিউ
| কী-এর সংস্করণ | V4 |
|---|---|
| স্পেসিফিকেশন | RFC 2440 · RFC 4880 · RFC 9580 |
| অবস্থা | সামঞ্জস্যপূর্ণ, তবে RFC 9580 এটিকে অবচিত করেছে |
| প্রাথমিক কী (প্রত্যয়ন, স্বাক্ষর) | ECDSA secp256k1 · ID 19 · SHA-256 |
| এনক্রিপশন সাবকী | ECDH NIST P-256 · ID 18 |
| ফিঙ্গারপ্রিন্ট | E060726BC7DBB56FDF7753749EF00F97D46EF942 |
| ব্যক্তিগত কী-এর পাসফ্রেজ | synthetic-key-password |
অ্যালগরিদম ও ব্যবহার
ECDSA secp256k1: secp256k1‑এ এলিপটিক কার্ভ স্বাক্ষর, Bitcoin থেকে পরিচিত কার্ভ। এটি RFC 9580 কার্ভ রেজিস্ট্রির বাইরে: GnuPG সমর্থন করে, কিন্তু keys2 কীসার্ভারসহ Sequoia‑ভিত্তিক সফটওয়্যার প্রত্যাখ্যান করে। শুধু এই কার্ভ প্রয়োজন এমন সিস্টেমের সঙ্গে সামঞ্জস্যের জন্য ব্যবহার করুন।
ECDH NIST P-256: এলিপটিক কার্ভ ডিফি–হেলম্যান এনক্রিপশন সাবকী, এই কার্ভে: NIST P-256.
পাবলিক কী
প্রাথমিক কী, এনক্রিপশন সাবকী ও তাদের বাইন্ডিং স্বাক্ষরসহ পাবলিক সার্টিফিকেট। স্বাক্ষর যাচাই বা এই পরীক্ষামূলক পরিচয়ের জন্য এনক্রিপ্ট করতে ইমপোর্ট করুন।
ডাউনলোড → 729 বাইট
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BzStDSC1KIG1hdHJpeCAy
NC12NC1lY2RzYS1zZWNwMjU2azErZWNkaC1wMjU2wowEExMIADQFAmr3hRkWIQTg
YHJrx9u1b993U3Se8A+X1G75QgIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEJ7w
D5fUbvlCGJABANI8j8owo0txl4g9tpZhOhdHHFzz0pSEzw5CNIaS5AaVAP4xfEjJ
tTglTIMbpA6DI0+kji/iQnKYiOp3Qr9CMPdfd85WBGr3hRkSCCqGSM49AwEHAgME
3MN8L40E2ij4iQkPrgyDHAqkaDw9whA7wgkVqGyLdQIPcL0EnkrnI/wcNyaoMiry
ZVy7v4pNN07aAIdp55ytowMBCAfCeAQYEwgAIAUCaveFGRYhBOBgcmvH27Vv33dT
dJ7wD5fUbvlCAhsMAAoJEJ7wD5fUbvlCu9YBAKbWWh8+WzankHgF3ulBFevOzy1o
ongUd4eutsTfqT6vAP4s7QQTTq5BHbTdJyzO45C6eAUS0hcCZABpqp/fQiiorg==
=SvoQ
-----END PGP PUBLIC KEY BLOCK-----
ব্যক্তিগত কী
ওপরে দেখানো পাসফ্রেজ দিয়ে সুরক্ষিত ব্যক্তিগত কী। শুধু পরীক্ষার জন্য প্রকাশিত: যে কেউ ব্যবহার করতে পারে।
ডাউনলোড → 955 বাইট
দেখান
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaIEaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2B/gkDCKkuw9HKHsAe4FVk
IkiB4nO4HwpV7MrbrxF8zaj4G+c7JRbgIFYSJtV9Cg+0qpW/UAwTWlPi8YXlW+q3
2FI49b4ufLcELD+V3McpFYS4bxjNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNl
Y3AyNTZrMStlY2RoLXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7w
D5fUbvlCAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyP
yjCjS3GXiD22lmE6F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SO
L+JCcpiI6ndCv0Iw9193x6kEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+u
DIMcCqRoPD3CEDvCCRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nn
nK2jAwEIB/4JAwjneAEVHacoqOCS7QG4BsCikL2tcagHHq9zXC4WEagXy8A7ZTKJ
LRTxhtAMUWa85RU1WvhLSlMNiuUQjkXjHEI5I87pWbE7L0YjHtmGpDtdwngEGBMI
ACAFAmr3hRkWIQTgYHJrx9u1b993U3Se8A+X1G75QgIbDAAKCRCe8A+X1G75QrvW
AQCm1lofPls2p5B4Bd7pQRXrzs8taKJ4FHeHrrbE36k+rwD+LO0EE06uQR203Scs
zuOQungFEtIXAmQAaaqf30IoqK4=
=mNF1
-----END PGP PRIVATE KEY BLOCK-----
প্রত্যাহার সার্টিফিকেট
আগে থেকে তৈরি প্রত্যাহার সার্টিফিকেট। ইমপোর্ট করলে কী-টি প্রত্যাহৃত হিসেবে চিহ্নিত হয়; প্রত্যাহৃত কী সফটওয়্যার কীভাবে পরিচালনা করে তা পরীক্ষার জন্য প্রকাশিত।
ডাউনলোড → 888 বাইট
দেখান
-----BEGIN PGP PUBLIC KEY BLOCK-----
xk8EaveFGRMFK4EEAAoCAwTNUf5ZZBP4Vkns0TPMqpdU1UuXOwTkAI0tN3KFL9Tv
MG3fWZZdxvP6ehrNjf2ZtVdqTONsXe3yyIYKnxmNbe2BwnUEIBMIAB0FAmr3hRkW
IQTgYHJrx9u1b993U3Se8A+X1G75QgAKCRCe8A+X1G75QoBhAP9Ncgf9U9MHZ9YN
XnRwGpB1lC0npRle8kPuWWdGUqCFcQD/awiSMYB7tVdVR4e8qKTJ9TGAI2/IobMF
hVWiXCpuoQrNK0NILUogbWF0cml4IDI0LXY0LWVjZHNhLXNlY3AyNTZrMStlY2Ro
LXAyNTbCjAQTEwgANAUCaveFGRYhBOBgcmvH27Vv33dTdJ7wD5fUbvlCAhsDAh4B
AwsJBwEVARYFJwkCBwICGQEACgkQnvAPl9Ru+UIYkAEA0jyPyjCjS3GXiD22lmE6
F0ccXPPSlITPDkI0hpLkBpUA/jF8SMm1OCVMgxukDoMjT6SOL+JCcpiI6ndCv0Iw
9193zlYEaveFGRIIKoZIzj0DAQcCAwTcw3wvjQTaKPiJCQ+uDIMcCqRoPD3CEDvC
CRWobIt1Ag9wvQSeSucj/Bw3JqgyKvJlXLu/ik03TtoAh2nnnK2jAwEIB8J4BBgT
CAAgBQJq94UZFiEE4GBya8fbtW/fd1N0nvAPl9Ru+UICGwwACgkQnvAPl9Ru+UK7
1gEAptZaHz5bNqeQeAXe6UEV687PLWiieBR3h662xN+pPq8A/iztBBNOrkEdtN0n
LM7jkLp4BRLSFwJkAGmqn99CKKiu
=6HTy
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin‑এর স্বাক্ষর
CH-J Tools‑এ এই কী দিয়ে তৈরি test_1MB.bin‑এর বিচ্ছিন্ন ASCII-armored স্বাক্ষর। পরীক্ষামূলক ফাইলের পাশে test_1MB.bin.asc নামে সংরক্ষণ করুন।
ডাউনলোড → 228 বাইট
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQTgYHJrx9u1b993U3Se8A+X1G75QgUCaveO8gAKCRCe8A+X1G75
Qk/DAQCytQBaDvoMZd721uHplsmUhd2MXW937g2x9cRB0TsAngD+OD6A8zsSTCfO
kqQU+O6wL5NugSX6uLWmQKQ7ohzOkd4=
=bsx5
-----END PGP SIGNATURE-----
স্বাক্ষর যাচাই করুন
সংস্করণ 4 কী GnuPG এবং sqop বা rsop‑এর মতো SOP টুলে কাজ করে, অ্যালগরিদমের সমর্থন অনুযায়ী। অস্থায়ী GNUPGHOME ব্যবহার করুন, যাতে পরীক্ষামূলক কী আসল কীরিংয়ে না যায়:
gpg --import pgp-example-24-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin